@import url("https://fonts.cdnfonts.com/css/ica-rubrik-black");
@import url("https://fonts.cdnfonts.com/css/poppins");


.banner {
  width: 100%;
  height: 100vh;
  text-align: center;
  overflow: hidden;
  position: relative;
}
.banner .slider {
  position: absolute;
  width: 200px;
  height: 250px;
  top: 10%;
  left: calc(50% - 100px);
  transform-style: preserve-3d;
  transform: perspective(1000px);
  animation: autoRun 20s linear infinite;
  z-index: 2;
}
@keyframes autoRun {
  from {
    transform: perspective(1000px) rotateX(-16deg) rotateY(0deg);
  }
  to {
    transform: perspective(1000px) rotateX(-16deg) rotateY(360deg);
  }
}

.banner .slider .item {
  position: absolute;
  inset: 0 0 0 0;
  transform: rotateY(
      calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
    )
    translateZ(410px);
}
.banner .slider .item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8%;
}
.content {
  position: absolute;
  top: 600px;
  left: 50%;
  transform: translateX(-50%);
  width: min(1400px, 100vw);
  height: max-content;
  padding-bottom: 50px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  z-index: 1;
}
.content .author {
  font-family: "Poppins", sans-serif;
  padding: 20px;
  z-index: 2;
  max-width: unset;
  width: 100%;
  text-align: center;
  padding: 0 30px;
}
.content h2 {
  font-family: "ICA Rubrik";
  color: #25283b;
  font-size: 4em;
}
.content h3 {
  color: #25283b;
  font-size: 2em;
}
.content p {
  color: #25283b;
  font-size: 1.5em;
  text-align: center;
}
.content .socials span {
  display: inline-block;
  align-items: center;
  background: #25283b;
  color: aquamarine;
  width: 130px;
  padding: 8px;
  border-radius: 60px;
  margin-top: 10px;
}
.content .socials span:hover {
  color: #25283b;
  background: aquamarine;
}

@media screen and (max-width: 1023px) {
  .banner .slider {
    width: 160px;
    height: 200px;
    left: calc(50% - 80px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(300px);
  }
  .content {
    top: 525px;
  }
}


@media screen and (max-width: 767px) {
  .banner .slider {
    width: 100px;
    height: 150px;
    left: calc(50% - 50px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(250px);
  }
  .content {
    top: 450px;
  }

  .content h2 {
    font-size: 4em;
  }
  .content h3 {
    font-size: 2em;
  }
  .content .author p {
    color: #25283b;
    font-size: 1.4em;
  }
}
@media screen and (max-width: 576px) {
  .banner .slider {
    width: 100px;
    height: 150px;
    left: calc(50% - 50px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(201px);
  }
  .content {
    top: 400px;
  }

  .content h2 {
    font-size: 3.2em;
  }
  .content h3 {
    font-size: 1.6em;
  }
  .content .author p {
    color: #25283b;
    font-size: 0.95em;
  }
}
@media screen and (max-width: 440px) {
  .banner .slider {
    width: 100px;
    height: 150px;
    left: calc(50% - 50px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(160px);
  }
  .content {
    top: 450px;
  }

  .content h2 {
    font-size: 2.5em;
  }
  .content h3 {
    font-size: 1.2em;
  }
  .content .author p {
    color: #25283b;
    font-size: 0.8em;
  }
}
@media screen and (orientation: landscape) and (max-width: 1023px) {
  .banner .slider {
    width: 160px;
    height: 200px;
    left: calc(50% - 80px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(300px);
  }
  .content {
    top: 650px;
  }
 
  .content h2 {
    font-size: 4em;
    
  }
  .content h3 {
    font-size: 2em;
  }
  .content .author p {
    color: #25283b;
    font-size: 1.5em;
  }
}

@media screen and (orientation: landscape) and (max-width: 767px) {
  .banner .slider {
    width: 100px;
    height: 150px;
    left: calc(50% - 50px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(250px);
  }
  .content {
    top: 350px;
  }

  .content h2 {
    font-size: 4em;
  }
  .content h3 {
    font-size: 2em;
  }
  .content .author p {
    color: #25283b;
    font-size: 1.4em;
  }
}

@media screen and (orientation: landscape) and (max-width: 576px) {
  .banner .slider {
    width: 100px;
    height: 150px;
    left: calc(50% - 50px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(201px);
  }
  .content {
    top: 50px;
  }

  .content h2 {
    font-size: 3.2em;
  }
  .content h3 {
    font-size: 1.6em;
  }
  .content .author p {
    color: #25283b;
    font-size: 0.95em;
  }
}

@media screen and (orientation: landscape) and (max-width: 440px) {
  .banner .slider {
    width: 100px;
    height: 150px;
    left: calc(50% - 50px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(160px);
  }
  .content {
    top: 250px;
  }
  .content h2 {
    font-size: 2.5em;
  }
  .content h3 {
    font-size: 1.2em;
  }
  .content .author p {
    color: #25283b;
    font-size: 0.8em;
  }
}
